TLSRPT_ERRNO_FROM_ERROR_CODE(3)

NAME
tlsrpt_errno_from_error_code - returns the `errno` part of an errorcode

SYNOPSIS

#include <tlsrpt.h>

int tlsrpt_errno_from_error_code(int errorcode)

DESCRIPTION

The tlsrpt_errno_from_error_code function returns the errno part of an errorcode. In case of internal library errors from the TLSRPT_ERR_TLSRPT block the returned value will be a high number to avoid clashes with existing errno values. I.e. TLSRPT_ERR_TLSRPT_NESTEDPOLICY is 10731 instead of 10031 to avoid the errno part being decoded as EMLINK.

RETURN VALUE

The tlsrpt_errno_from_error_code function returns 0 on success and a combined error code on failure. The combined error code can be analyzed with the tlsrpt_strerror function.

SEE ALSO

tlsrpt_error_code_is_internal(3), tlsrpt_strerror(3)

AUTHOR(S)

Boris Lohner
    Author(s).